{ pkgs, ... }: let 
  vesktop = pkgs.vesktop.overrideAttrs(final: prev: {
    src = pkgs.fetchFromGitHub {
      owner = "Vencord";
      repo = "Vesktop";
      rev = "2733727a40a4cf542277dedcf89e87e7740f962d";
      hash = "sha256-EF36HbbhTuAdwBEKqYgBBu7JoP1LJneU78bROHoKqDw=";
    };

    pnpmDeps = prev.pnpmDeps.overrideAttrs(final2: prev2: {
      outputHash = "sha256-6ezEBeYmK5va3gCh00YnJzZ77V/Ql7A3l/+csohkz68=";
    });
  }); 
in {
  home.packages = [
    vesktop
  ];

#  xdg.configFile = let
#    prefix = "VencordDesktop/VencordDesktop";
#  in {
#    "${prefix}/settings.json".source = ./settings.json;
#    "${prefix}/settings/settings.json".source = ./settings/settings.json;
#    "${prefix}/settings/quickCss.css".source = ./settings/quickCss.css;
# };
}
